kind: ConfigMap
apiVersion: v1
metadata:
  name: jaeger-configuration
  namespace: ficc-ofa-dev
  annotations:
    kubesphere.io/creator: fanpengfei
data:
  otel-collector-config.yml: |-
    receivers:
      jaeger:
        protocols:
          thrift_http:
            endpoint: "0.0.0.0:14278"
      zipkin:
        endpoint: "0.0.0.0:9411"
      otlp:
        protocols:
          grpc:
          http:

      # Dummy receiver that's never used, because a pipeline is required to have one.
      otlp/spanmetrics:
        protocols:
          grpc:
            endpoint: "localhost:65535"

    exporters:
      prometheus:
        endpoint: "0.0.0.0:8889"
      zipkin:
        endpoint: "http://localhost:9411/api/v2/spans"
      otlp/quickwit:
        endpoint: "quickwit:7281"
        headers:
          qw-otel-traces-index: otel-traces-v0_8
          qw-otel-logs-index: otel-logs-v0_8
        tls:
          insecure: true
      jaeger:
        endpoint: "jaeger-collector:14250"
        tls:
          insecure: true

    processors:
      batch:
      spanmetrics:
        metrics_exporter: prometheus

    service:
      pipelines:
        traces:
          receivers: [otlp]
          processors: [spanmetrics, batch]
          exporters: [otlp/quickwit]
        logs:
          receivers: [otlp]
          processors: [batch]
          exporters: [otlp/quickwit]
        # The exporter name in this pipeline must match the spanmetrics.metrics_exporter name.
        # The receiver is just a dummy and never used; added to pass validation requiring at least one receiver in a pipeline.
        metrics/spanmetrics:
          receivers: [otlp/spanmetrics]
          exporters: [prometheus]